/*!
 * @file shell.h
 * Definition of a on-screen-shell
 *
 * @todo Buffer Display in different Colors for different debug mode.
 * @todo choose color of the Font and the background.
 */

#ifndef _GLGUI_IMAGEBUTTON_H
#define _GLGUI_IMAGEBUTTON_H

#include "glgui_widget.h"
#include "event_listener.h"

#include <stack>

//! Namespace of the GLGuiImageButton of ORXONOX.
namespace OrxGui
{
  class GLGuiImageButton : public GLGuiWidget
  {
  public:
    GLGuiImageButton();
    virtual ~GLGuiImageButton();

    void debug() const;

  protected:
    virtual void resize();

  private:

  private:

  };

}

#endif /* _GLGUI_IMAGEBUTTON_H */
